//
//  ViewController.m
//  Sample
//
//  Created by Darrell Kress on 1/10/14.
//  Copyright (c) 2014 Darrell Kress. All rights reserved.
//

#import "ViewController.h"
#import <IGChart/IGChart.h>
#import <IG/IG.h>
#import "igSalesmanItem.h"
#import "RowColumnReversedDataSourceHelper.h"
@interface ViewController ()
@end

@implementation ViewController

IGGridView* grid;
RowColumnReversedDataSourceHelper* helper;

- (void)viewDidLoad
{
    [super viewDidLoad];
	// Do any additional setup after loading the view, typically from a nib.

    grid = [[IGGridView alloc]init];
    grid.autoresizingMask = UIViewAutoresizingFlexibleHeight|UIViewAutoresizingFlexibleWidth;
    grid.frame = CGRectMake(0, 0, self.view.frame.size.width, self.view.frame.size.height);
    grid.columnWidth = [IGColumnWidth CreateWithFixedWidth:150];
    grid.headerHeight = 150;
    [self.view addSubview:grid];
    
    helper = [[RowColumnReversedDataSourceHelper alloc]init];
    
    helper.autoGenerateColumns = false;
    
    IGGridViewColumnDefinition *firstNameColumn = [[IGGridViewColumnDefinition alloc]initWithKey:@"firstName"];
    
    IGGridViewColumnDefinition *lastNameColumn = [[IGGridViewColumnDefinition alloc]initWithKey:@"lastName"];
    
        IGGridViewColumnDefinition *territoryColumn = [[IGGridViewColumnDefinition alloc]initWithKey:@"territory"];
    
    IGGridViewColumnDefinition *yearToDateColumn = [[IGGridViewColumnDefinition alloc]initWithKey:@"yearToDateSales"];
    
    [helper.columnDefinitions addObject:firstNameColumn];
    [helper.columnDefinitions addObject:lastNameColumn];
    [helper.columnDefinitions addObject:territoryColumn];
    [helper.columnDefinitions addObject:yearToDateColumn];
    
    
    NSMutableArray* myData = (NSMutableArray*)[igSalesmanItem generateData:10];
    helper.data = myData;
    grid.dataSource = helper;
}

- (void)didReceiveMemoryWarning
{
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

@end

